      subroutine prfmod(layer,xsav,xdel)
c     author:  c seftor
c     date:    4-mar-91
c     purpose: provide interface for profile modification studies
      implicit integer*4(i-n), real*8(a-h,o-z)
      real*8 xsav(11)
c
      include "input.inc"
c
      do 10 i = 1,11
         xprf(i) = xsav(i)
10    continue
      xchng = 0.1 * xprf(layer)
      xprf(layer) = xprf(layer) - xchng
      xdel = -xchng
      return
      end
